package ru.ulstu.fc.rule.model.dto;

import ru.ulstu.fc.rule.model.Variable;

import java.util.ArrayList;
import java.util.List;

public class VariableDto {
    private Integer id;
    private String name;
    private boolean input;
    private List<FuzzyTermDto> terms = new ArrayList<>();

    public VariableDto() {
    }

    public VariableDto(Variable variable) {
        this.id = variable.getId();
        this.name = variable.getName();
        this.terms = variable.getFuzzyTerms().stream().map(FuzzyTermDto::new).toList();
        this.input = variable.isInput();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<FuzzyTermDto> getTerms() {
        return terms;
    }

    public void setTerms(List<FuzzyTermDto> terms) {
        this.terms = terms;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public boolean isInput() {
        return input;
    }

    public void setInput(boolean input) {
        this.input = input;
    }
}
